Package org.eclipse.birt.chart.model.attribute

# Interface EmbeddedImage

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `Fill`, `IChartObject`, `Image`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `EmbeddedImageImpl`

public interface EmbeddedImage extends Image
A representation of the model object 'Embedded Image'. EmbeddedImage extends type Image to devote itself to representing an embedded image, by which the image data will be encoded into a string.

The following features are supported:

- `Data`

See Also:
  - `AttributePackage.getEmbeddedImage()`

## Method Summary

Modifier and Type
Method
Description
`EmbeddedImage`
`copyInstance()`
`String`
`getData()`
Returns the value of the 'Data' attribute.
`void`
`setData(String value)`
Sets the value of the '`Data`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.birt.chart.model.attribute.Fill

`getType, isSetType, setType, unsetType`

### Methods inherited from interface org.eclipse.birt.chart.model.attribute.Image

`getSource, getURL, isSetSource, setSource, setURL, unsetSource`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getData

String getData()
Returns the value of the 'Data' attribute. The string attribute "Data" provides the encoded image data for the image.

Returns:
  the value of the 'Data' attribute.
See Also:
  - `setData(String)`
  - `AttributePackage.getEmbeddedImage_Data()`

### setData

void setData(String value)
Sets the value of the '`Data`' attribute.

Parameters:
  `value` - the new value of the 'Data' attribute.
See Also:
  - `getData()`

### copyInstance

EmbeddedImage copyInstance()

Specified by:
  `copyInstance` in interface `Fill`
Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `Image`